## mycompiler.mystatement
Class LocalVarDecl

    java.lang.Object
      mycompiler.mystatement.Statement
          mycompiler.mystatement.LocalVarDecl

All Implemented Interfaces:
  ITypeReplacementListener

    public class LocalVarDecl

extends Statement
implements ITypeReplacementListener

Constructor Summary
`LocalVarDecl()`

Method Summary
`void` `check_anz(Type type, de.dhbwstuttgart.typeinference.Menge paralist, de.dhbwstuttgart.typeinference.Menge classlist)`
`void` `codegen(ClassFile classfile, CodeAttribute code, de.dhbwstuttgart.typeinference.Menge paralist)`
`java.lang.String` `get_Name()`
`de.dhbwstuttgart.typeinference.Menge` `getDeclidMenge()`
`int` `getLineNumber()` Author: J�rg B�uerle
`Type` `getType()`
`int` `getTypeLineNumber()` Author: J�rg B�uerle
`void` `is_declared(Type t, de.dhbwstuttgart.typeinference.Menge classlist)`
`void` `replaceType(CReplaceTypeEvent e)` Author: J�rg B�uerle
`void` `sc_check(de.dhbwstuttgart.typeinference.Menge classname, java.util.Hashtable ch, java.util.Hashtable bh, boolean ext, java.util.Hashtable parach, java.util.Hashtable parabh)`
`void` `set_DeclId(DeclId did)`
`void` `set_ParaList(de.dhbwstuttgart.typeinference.Menge pl)`
`void` `setDeclidMenge(de.dhbwstuttgart.typeinference.Menge declid)`
`void` `setType(Type t)`
`CTripleSet` `TRStatement(CSubstitutionSet sigma, CTypeAssumptionSet V, CSupportData supportData)` Implementierung des Algorithmus 5.24 von Martin Pl�micke Author: J�rg B�uerle

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalVarDecl

    public LocalVarDecl()

Method Detail

### setType

    public void setType(Type t)

### getType

    public Type getType()

### set_DeclId

    public void set_DeclId(DeclId did)

### get_Name

    public java.lang.String get_Name()

### set_ParaList

    public void set_ParaList(de.dhbwstuttgart.typeinference.Menge pl)

### sc_check

    public void sc_check(de.dhbwstuttgart.typeinference.Menge classname,
                         java.util.Hashtable ch,
                         java.util.Hashtable bh,
                         boolean ext,
                         java.util.Hashtable parach,
                         java.util.Hashtable parabh)
                  throws SCStatementException

  Throws:
    `SCStatementException`

### is_declared

    public void is_declared(Type t,
                            de.dhbwstuttgart.typeinference.Menge classlist)
                     throws SCStatementException

  Throws:
    `SCStatementException`

### check_anz

    public void check_anz(Type type,
                          de.dhbwstuttgart.typeinference.Menge paralist,
                          de.dhbwstuttgart.typeinference.Menge classlist)
                   throws SCStatementException

  Throws:
    `SCStatementException`

### codegen

    public void codegen(ClassFile classfile,
                        CodeAttribute code,
                        de.dhbwstuttgart.typeinference.Menge paralist)
                 throws JVMCodeException

  Specified by:
    `codegen` in class `Statement`
  Throws:
    `JVMCodeException`

### getDeclidMenge

    public de.dhbwstuttgart.typeinference.Menge getDeclidMenge()

### setDeclidMenge

    public void setDeclidMenge(de.dhbwstuttgart.typeinference.Menge declid)

### getLineNumber

    public int getLineNumber()

  Author: J�rg B�uerle

  Returns:

### replaceType

    public void replaceType(CReplaceTypeEvent e)

  Author: J�rg B�uerle

  Specified by:
    `replaceType` in interface `ITypeReplacementListener`
  Parameters:
    `e` -

### getTypeLineNumber

    public int getTypeLineNumber()

  Author: J�rg B�uerle

  Specified by:
    `getTypeLineNumber` in interface `ITypeReplacementListener`
  Returns:

### TRStatement

    public CTripleSet TRStatement(CSubstitutionSet sigma,
                                  CTypeAssumptionSet V,
                                  CSupportData supportData)

  Implementierung des Algorithmus 5.24 von Martin Pl�micke
  Author: J�rg B�uerle

  Specified by:
    `TRStatement` in class `Statement`
  Parameters:
    `sigma` -
    `V` -
    `supportData` -
  Returns: